<?xml version="1.0" encoding="utf-8"?>
<com.lihang.ShadowLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="@dimen/dp_9"
    android:layout_marginEnd="@dimen/dp_9"
    app:hl_cornerRadius="@dimen/dp_10"
    app:hl_shadowColor="@color/color_shadow"
    app:hl_shadowLimit="@dimen/dp_7">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/dp_12">

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableStart="@mipmap/ic_subscribe_title_icon"
            android:drawablePadding="@dimen/dp_8"
            android:gravity="center"
            android:text="默认订阅"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_14"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/shape_f8f9fa_cor6"
            app:layout_constraintTop_toBottomOf="@id/tv_name">

            <TextView
                android:id="@+id/tv_keywords"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_20"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_16"
                android:gravity="center"
                android:text="关键词："
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_12"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_keywords"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginEnd="@dimen/dp_10"
                android:orientation="horizontal"
                android:overScrollMode="never"
                app:layoutManager="com.google.android.flexbox.FlexboxLayoutManager"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_keywords"
                app:layout_constraintTop_toTopOf="parent"
                tools:listitem="@layout/listitem_subscribe_keyword" />

            <TextView
                android:id="@+id/tv_area"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_20"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_12"
                android:gravity="center"
                android:text="订阅地区："
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_12"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/rv_keywords" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_area"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_8"
                android:layout_marginEnd="@dimen/dp_10"
                android:orientation="horizontal"
                android:overScrollMode="never"
                app:layoutManager="com.google.android.flexbox.FlexboxLayoutManager"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_area"
                app:layout_constraintTop_toBottomOf="@id/rv_keywords"
                tools:listitem="@layout/listitem_subscribe_area" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:id="@+id/tv_delete"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_12"
            android:layout_marginEnd="@dimen/dp_20"
            android:drawableStart="@mipmap/ic_delete"
            android:drawablePadding="@dimen/dp_2"
            android:gravity="center"
            android:text="删除"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_12"
            app:layout_constraintEnd_toStartOf="@id/tv_edit"
            app:layout_constraintTop_toBottomOf="@id/layout_content" />

        <TextView
            android:id="@+id/tv_edit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_12"
            android:drawableStart="@mipmap/ic_edit"
            android:drawablePadding="@dimen/dp_2"
            android:gravity="center"
            android:text="编辑"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_12"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/layout_content" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</com.lihang.ShadowLayout>